# Inputs classes

class `pymeasure.display.inputs.``Input`(parameter)

  Bases: `PyQt4.QtCore.QObject`

  Takes a Parameter object in the constructor and has a parameter method

  `set_parameter`(parameter)

    Connects a parameter to the input box, and initializes the box value.

    Parameters: | parameter – parameter to connect.
    Returns: |

  `update_parameter`()

    Mutates the self._parameter variable to update its value